intermittent timeout in xpcshell/tests/test_jetpack/unit/test_jetpack.js (not test_rooting.js)

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
9 years ago
7 years ago

People

(Reporter: jfkthame, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
macOS
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

Reporter

Description

9 years ago
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2010/07/22 02:53:07
s: talos-r3-leopard-013
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, killing pid 393

TEST-INFO | /Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-xpcshell/build/xpcshell/tests/test_intl_unicharutil/unit/test_bug_427350_1.js | running test ...
TEST-PASS | /Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-xpcshell/build/xpcshell/tests/test_intl_unicharutil/unit/test_bug_427350_1.js | test passed
TEST-INFO | /Users/cltbld/talos-slave/mozilla-central-leopard-debug-u-xpcshell/build/xpcshell/tests/test_jetpack/unit/test_jetpack.js | running test ...

command timed out: 1200 seconds without output, killing pid 393
process killed by signal 9
program finished with exit code -1
elapsedTime=1415.020738
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1280001041.1280002829.29765.gz
WINNT 5.2 mozilla-central opt test xpcshell [testfailed]

TEST-INFO | e:\builds\moz2_slave\mozilla-central-win32-opt-unittest-xpcshell\build\xpcshell\tests\test_jetpack\unit\test_jetpack.js | running test ...

command timed out: 1200 seconds without output
Component: XPConnect → General
QA Contact: xpconnect → general
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1280982936.1280984708.17860.gz
WINNT 5.2 mozilla-central opt test xpcshell on 2010/08/04 21:35:36
s: mw32-ix-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281260832.1281262702.8209.gz
Rev3 Fedora 12 mozilla-central debug test xpcshell on 2010/08/08 02:47:12
s: talos-r3-fed-051
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1281256243.1281257937.16998.gz
WINNT 5.2 tracemonkey opt test xpcshell on 2010/08/08 01:30:43
s: mw32-ix-slave12
Probably same bug:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281453895.1281455695.12382.gz
Rev3 Fedora 12 mozilla-central opt test xpcshell on 2010/08/10 08:24:55
s: talos-r3-fed-011

TEST-PASS | /home/cltbld/talos-slave/mozilla-central_fedora_test-xpcshell/build/xpcshell/tests/test_jetpack/unit/test_jetpack.js | test passed
TEST-INFO | /home/cltbld/talos-slave/mozilla-central_fedora_test-xpcshell/build/xpcshell/tests/test_jetpack/unit/test_rooting.js | running test ...

command timed out: 1200 seconds without output, killing pid 1945
process killed by signal 9
program finished with exit code -1
elapsedTime=1422.434682
TinderboxPrint: xpcshell<br/><em class="testfail">T-FAIL</em>
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, killing pid 1945
TinderboxPrint: xpcshell<br/><em class="testfail">timeout</em>
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281457889.1281459851.30886.gz&fulltext=1#err0
WINNT 5.2 mozilla-central debug test xpcshell on 2010/08/10 09:31:29  

TEST-INFO | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\tests\test_jetpack\unit\test_rooting.js | running test ...

command timed out: 1200 seconds without output
program finished with exit code 1
elapsedTime=1715.718000
TinderboxPrint: xpcshell<br/><em class="testfail">T-FAIL</em>
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output
TinderboxPrint: xpcshell<br/><em class="testfail">timeout</em>
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1281516994.1281518630.5237.gz
Rev3 Fedora 12x64 tryserver debug test xpcshell on 2010/08/11 01:56:34

http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1281516482.1281518222.2229.gz
Rev3 Fedora 12 tryserver debug test xpcshell on 2010/08/11 01:48:02  

http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1281503675.1281505211.30524.gz
Rev3 MacOSX Leopard 10.5.8 tryserver opt test xpcshell on 2010/08/10 22:14:35

http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1281468763.1281471470.22698.gz
WINNT 5.2 tryserver debug test xpcshell on 2010/08/10 12:32:43  

All of them during the same push to the try server. Looks like this random timeout happens quite often.

Comment 8

9 years ago
Note, this bug is *not* about test_rooting, which was disabled because the new conservative stack scanner made it nondeterministic.
Summary: intermittent timeout in xpcshell/tests/test_jetpack/unit/test_jetpack.js → intermittent timeout in xpcshell/tests/test_jetpack/unit/test_jetpack.js (not test_rooting.js)
(In reply to comment #7 and comment #8)

> http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1281516994.1281518630.5237.gz
> Rev3 Fedora 12x64 tryserver debug test xpcshell on 2010/08/11 01:56:34

But test_rooting was disabled yesterday at 10:29 PDT
(http://hg.mozilla.org/mozilla-central/rev/2a0b67004c8d), and here's a
timeout that happened in test_rooting in a build that started early
this morning.
So what? The try cset didn't include the test-disable cset, see http://hg.mozilla.org/try/graph/75009

And even if it did, this is not the right bug!
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.